SpyBara
Go Premium

resources/responses/methods/delete/index.md 2026-09-16 22:58 UTC to 2026-09-18 22:59 UTC

This page contains 2 additions and 0 deletions.

2026
Fri 18 22:59 Mon 28 22:57

For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.

Delete a model response

delete /responses/{response_id}

Deletes a model response with the given ID.

Path Parameters

  • response_id: string

Example

curl https://api.openai.com/v1/responses/$RESPONSE_ID \
    -X DELETE \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Example

curl -X DELETE https://api.openai.com/v1/responses/resp_123 \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "resp_6786a1bec27481909a17d673315b29f6",
  "object": "response",
  "deleted": true
}